Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## game.gamestorage.texas
Interface IF_SetGameStorageTH

All Superinterfaces:
  IF_SetGameStorage

All Known Implementing Classes:
  SetGameStorageTH_DB

    public interface IF_SetGameStorageTH

extends IF_SetGameStorage

This interface specifies all for Texas Holdem needed methods and extends the game independent methods by extending abstract interface IF_SetGameStorage

Author:
  Witthold/Korol

Method Summary
`void` | `setEndHand(int finalpot, int[] cashDelta, Card[][] enemyCards)` Stores information of the ending hand (winner, revealed holeCards, ...).
`void` | `setEndRound(long timestamp, java.util.ArrayList<Action> betHistory, Card[] revealedBoardCards)` Stores information of the ending round.
`void` | `setHand(int[] position, int sb, int bb, int ante, int[] cashInit, Card[] holeCards)` Stores information of the started hand.

Methods inherited from interface game.gamestorage.IF_SetGameStorage
`setEndCompetition, setGetGamedef, setStartCompetition`

Method Detail

### setHand

    void setHand(int[] position,
                 int sb,
                 int bb,
                 int ante,
                 int[] cashInit,
                 Card[] holeCards)

  Stores information of the started hand.

  Parameters:
    `position` - Position of the player in this hand (0: first player behind the button; 1: second player behind the button; ...) - exact position at table
    `sb` - - smallblind
    `bb` - - bigblind
    `ante` - - forced bet for all players
    `cashInit` - - starting credits of every player
    `holeCards` - - my holeCards as Card[]

### setEndRound

    void setEndRound(long timestamp,
                     java.util.ArrayList<Action> betHistory,
                     Card[] revealedBoardCards)

  Stores information of the ending round. (if it is the last round of a hand, setEndHand will be called after this)

  Parameters:
    `timestamp` - as unix timestamp
    `betHistory` - - all bets of this round
    `revealedBoardCards` - (if revealed)

### setEndHand

    void setEndHand(int finalpot,
                    int[] cashDelta,
                    Card[][] enemyCards)

  Stores information of the ending hand (winner, revealed holeCards, ...). (no player actions)

  Parameters:
    `finalpot` - - total at the end of the hand
    `cashDelta` - of every player: moneyBefore-moneyAfter
    `enemyCards` - - if cards were shown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD